type
        CodeStr            = string[8];

        TripRecord         = record
                                 RecordStatus : longint;
                                 Year         : 1985..2000;
                                 Month        :    1..12;
                                 Day          :    1..31;
                                 DayOfWk      :    0..06;  {Sun=0}
                                 Hours        :    0..24;
                                 Minutes      :    0..59;
                                 Seconds      :    0..59;
                                 TimeInHours,
                                 Distance,
                                 AverageSpeed,
                                 MaximumSpeed,
                                 Odometer      : real;
                                 Note          : string[45];
                                 Key           : CodeStr;
                                 DeleteCode    : boolean;
                             end; {TripRecord}

        MaxDataType = TripRecord;
        MaxKeyType  = CodeStr;